package com.compdfkit.demo.viewer;

import androidx.appcompat.app.AppCompatActivity;

import android.os.Bundle;

import com.compdfkit.demo.viewer.databinding.ViewerActivityMainBinding;
import com.compdfkit.tools.task.CExtractAssetFileTask;

public class MainActivity extends AppCompatActivity {

    /**
     * assets folder pdf file
     */
    public static final String QUICK_START_GUIDE = "Quick Start Guide V2.4.0.pdf";

    private ViewerActivityMainBinding binding;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        binding = ViewerActivityMainBinding.inflate(getLayoutInflater());
        setContentView(binding.getRoot());

        CExtractAssetFileTask.extract(this, QUICK_START_GUIDE, QUICK_START_GUIDE, (pdfFile) ->
                runOnUiThread(() -> binding.pdfReaderView.openPdfFile(pdfFile.getAbsolutePath())));

    }

}